#
# spec file for package libibmad
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define mad_so 5

Name:           libibmad
Summary:        Low layer Infiniband diagnostic and management programs
Version:        1.3.6
Release:        0.10.10
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        libibmad-%{version}.tar.bz2
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic IB
functions



Authors:
--------
    http://openib.org

%package -n     %{name}%{mad_so}


Summary:        Low layer Infiniband diagnostic and management programs
Version:        1.3.6
Release:        0.10.10
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
BuildRequires:  libibumad-devel

%description -n %{name}%{mad_so}
Libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic IB
functions. This package contains the runtime library.

Authors:
--------
    http://openib.org

%package        devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        Development files for the libibmad library.
Requires:       %{name}%{mad_so} = %{version}
Requires:       libibumad-devel

%description    devel
Development files for the libibmad library.



Authors:
--------
    http://openib.org

%prep
%setup -n libibmad-%{version} -q
./autogen.sh

%build
%configure
make

%install
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -n %{name}%{mad_so} -p /sbin/ldconfig

%postun -n %{name}%{mad_so} -p /sbin/ldconfig

%files -n %{name}%{mad_so}
%defattr(-, root, root)
%_libdir/libibmad.so.%{mad_so}*

%files devel
%defattr(-,root,root)
%_includedir/infiniband/mad.h
%_includedir/infiniband/mad_osd.h
%_libdir/libibmad.a
%_libdir/libibmad.la
%_libdir/libibmad.so

%changelog
* Mon Feb 14 2011 pth@suse.de
- Add ExcludeArch for s390 and s390x.
* Mon Nov  8 2010 ro@suse.de
- fix version number in baselibs.conf
* Mon Nov  8 2010 kukuk@suse.de
- Add baselib.conf
* Fri Oct 29 2010 pth@suse.de
- Create new versioned subpackage for the runtime lib.
- Adapt post and postun.
* Tue Oct 26 2010 jsembera@suse.de
- PTF for 642445
  Version upgrade based on home:jjolly:branches:SUSE:SLE-10-SP3:Update:Test
* Thu Oct 21 2010 stefan.fent@novell.com
- update to v1.3.6 from OFED 1.5.2
* Thu Jun 10 2010 jsembera@suse.de
- PTF for 604678
  Version upgrade based on home:jjolly:branches:SUSE:SLE-10-SP3:Update:Test
* Tue May 25 2010 jjolly@novell.com
- Also removed static package dependency on libibcommon-devel
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.3.4 from OFED 1.5.1
- Removed build dependencies on libibcommon-devel and
  lilbibverbs-devel
- Added infiniband/mad_osd.h header
* Sat Jul 11 2009 jjolly@suse.de
- Updated to v1.2.3_20090314 from OFED 1.4.1 release
* Wed Oct 15 2008 jjolly@suse.de
- Updated to version from OFED 1.3.1 release
* Thu Feb 28 2008 jjolly@suse.de
- Updated to 1.1.6 from OFED 1.3 GA release
* Tue Jan 29 2008 jjolly@suse.de
- Updated to 1.1.5 from OFED 1.3 rc2
* Mon Jul  2 2007 hvogel@suse.de
- Use correct version 1.0.5 that comes with OFED 1.2
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 3.2.0
